#include "main.h"

static void TIM1_Init(uint16_t arr, uint16_t psc);
static void TIM2_Init(uint16_t arr, uint16_t psc);
static void TIM3_Init(uint16_t arr, uint16_t psc);

TIMClassStruct TIMClass = {
	.TIM1_Init = TIM1_Init,
	.TIM2_Init = TIM2_Init,
	.TIM3_Init = TIM3_Init
};

//#define use_TIM1
#define use_TIM2
//#define use_TIM3

/* ڱĵطִ˺  TIM1жϺ
void TIM1_UP_IRQHandler(void)
{
	if(TIM_GetITStatus(TIM1, TIM_IT_Update) != RESET) 
	{	
		TIM_ClearITPendingBit(TIM1, TIM_FLAG_Update);
	}
}
*/
/* ڱĵطִ˺  TIM2жϺ
void TIM2_IRQHandler(void)
{
	if(TIM_GetITStatus(TIM2, TIM_IT_Update) != RESET) 
	{	
		TIM_ClearITPendingBit(TIM2, TIM_FLAG_Update);
	}	
}
*/
/* ڱĵطִ˺  TIM3жϺ
void TIM3_IRQHandler(void)
{
	if(TIM_GetITStatus(TIM3, TIM_IT_Update) != RESET) 
	{	
		TIM_ClearITPendingBit(TIM3, TIM_FLAG_Update);
	}
}
*/

/**
  * @brief  TIM1ʼ
	* @param  None
  * @retval None
  */
static void TIM1_Init(uint16_t arr, uint16_t psc)
{
	#ifdef use_TIM1
	TIM_TimeBaseInitTypeDef TIM_TimeBaseStructure;  
	NVIC_InitTypeDef NVIC_InitStructure; 
  // ж
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_4);		
	// жԴ
	NVIC_InitStructure.NVIC_IRQChannel = TIM1_UP_IRQn;	
	// ȼΪ 0
	NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 2;	 
	// ռȼΪ3
	NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0;	
	NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;
	NVIC_Init(&NVIC_InitStructure);
	
	RCC_APB2PeriphClockCmd(RCC_APB2Periph_TIM1, ENABLE);	
	// ԶװؼĴֵۼTIM_Period+1Ƶʺһ»ж
	TIM_TimeBaseStructure.TIM_Period = arr;
	// ʱԤƵ
	TIM_TimeBaseStructure.TIM_Prescaler = psc;	
	// ʱӷƵ ûõù
	TIM_TimeBaseStructure.TIM_ClockDivision=TIM_CKD_DIV1;		
	// ģʽΪϼ
	TIM_TimeBaseStructure.TIM_CounterMode=TIM_CounterMode_Up; 		
	// ظֵûõù
	TIM_TimeBaseStructure.TIM_RepetitionCounter=0;	
	// ʼʱ
	TIM_TimeBaseInit(TIM1, &TIM_TimeBaseStructure);
	// жϱ־λ
	TIM_ClearFlag(TIM1, TIM_FLAG_Update);
	// ж
	TIM_ITConfig(TIM1,TIM_IT_Update,ENABLE);
	// ʹܼ
	TIM_Cmd(TIM1, ENABLE);
	#endif
}
/**
  * @brief  TIM2ʼ
	* @param  None
  * @retval None
  */
void TIM2_Init(uint16_t arr, uint16_t psc)
{
	#ifdef use_TIM2
	TIM_TimeBaseInitTypeDef TIM_TimeBaseStructure;  
	NVIC_InitTypeDef NVIC_InitStructure; 
  // ж
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_4);		
	// жԴ
	NVIC_InitStructure.NVIC_IRQChannel = TIM2_IRQn;	
	// ȼΪ 0
	NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 3;	 
	// ռȼΪ3
	NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0;	
	NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;
	NVIC_Init(&NVIC_InitStructure);
	
	RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM2, ENABLE);	
	// ԶװؼĴֵۼTIM_Period+1Ƶʺһ»ж
	TIM_TimeBaseStructure.TIM_Period = arr;
	// ʱԤƵ
	TIM_TimeBaseStructure.TIM_Prescaler= psc;	
	// ʱӷƵ ûõù
	TIM_TimeBaseStructure.TIM_ClockDivision=TIM_CKD_DIV1;		
	// ģʽΪϼ
	TIM_TimeBaseStructure.TIM_CounterMode=TIM_CounterMode_Up; 		
	// ظֵûõù
	TIM_TimeBaseStructure.TIM_RepetitionCounter=0;	
	// ʼʱ
	TIM_TimeBaseInit(TIM2, &TIM_TimeBaseStructure);
	// жϱ־λ
	TIM_ClearFlag(TIM2, TIM_FLAG_Update);
	// ж
	TIM_ITConfig(TIM2,TIM_IT_Update,ENABLE);
	// ʹܼ
	TIM_Cmd(TIM2, ENABLE);
	#endif
}
/**
  * @brief  TIM3ʼ
	* @param  None
  * @retval None
  */
void TIM3_Init(uint16_t arr, uint16_t psc)
{
	#ifdef use_TIM3
	TIM_TimeBaseInitTypeDef TIM_TimeBaseStructure;  
	NVIC_InitTypeDef NVIC_InitStructure; 
  // ж
	NVIC_PriorityGroupConfig(NVIC_PriorityGroup_4);		
	// жԴ
	NVIC_InitStructure.NVIC_IRQChannel = TIM3_IRQn;	
	// ȼΪ 0
	NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 2;	 
	// ռȼΪ3
	NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0;	
	NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;
	NVIC_Init(&NVIC_InitStructure);
	
	RCC_APB1PeriphClockCmd(RCC_APB1Periph_TIM3, ENABLE);	
	// ԶװؼĴֵۼTIM_Period+1Ƶʺһ»ж
	TIM_TimeBaseStructure.TIM_Period = arr;
	// ʱԤƵ
	TIM_TimeBaseStructure.TIM_Prescaler = psc;	
	// ʱӷƵ ûõù
	TIM_TimeBaseStructure.TIM_ClockDivision=TIM_CKD_DIV1;		
	// ģʽΪϼ
	TIM_TimeBaseStructure.TIM_CounterMode=TIM_CounterMode_Up; 		
	// ظֵûõù
	TIM_TimeBaseStructure.TIM_RepetitionCounter=0;	
	// ʼʱ
	TIM_TimeBaseInit(TIM3, &TIM_TimeBaseStructure);
	// жϱ־λ
	TIM_ClearFlag(TIM3, TIM_FLAG_Update);
	// ж
	TIM_ITConfig(TIM3,TIM_IT_Update,ENABLE);
	// ʹܼ
	TIM_Cmd(TIM3, ENABLE);
	#endif
}

