#include "main.h"

static void DelayUs(volatile uint32_t us);
static void DelayMs(volatile uint32_t ms);
	
DELAYClassStruct DELAYClass = {
	.DelayMs = DelayMs,
	.DelayUs = DelayUs
};

/**
  * @brief  ΢뼶ʱ
	* @param  us: ʱʱ(΢)
  * @retval None
  */
static void DelayUs(volatile uint32_t us)
{
	uint32_t i;
	SysTick_Config(SystemCoreClock/1000000);
	
	for(i=0;i<us;i++)
	{
		// ֵС0ʱCRTLĴλ161	
		while( !((SysTick->CTRL)&(1<<16)) );
	}
	// رSysTickʱ
	SysTick->CTRL &=~SysTick_CTRL_ENABLE_Msk;
}
/**
  * @brief  뼶ʱ
	* @param  ms: ʱʱ()
  * @retval None
  */
static void DelayMs(volatile uint32_t ms)
{
	uint32_t i;	
	SysTick_Config(SystemCoreClock/1000);
	
	for(i=0;i<ms;i++)
	{
		// ֵС0ʱCRTLĴλ161
		// 1ʱȡλ0
		while( !((SysTick->CTRL)&(1<<16)) );
	}
	// رSysTickʱ
	SysTick->CTRL &=~ SysTick_CTRL_ENABLE_Msk;
}
