#ifndef __GPIO_AS_H
#define	__GPIO_AS_H

#include "main.h"

/*
PA15,PB3,PB4,PB5JTAG,ΪͨIOʱӳ亯ʧJTAG
GPIO_PinRemapConfig(GPIO_Remap_SWJ_JTAGDisable, ENABLE);
PC13,PC14,PC15ǱҪʹ
*/

typedef struct {
	void (* Init)(void);
	void (* Set)(uint8_t who);
	void (* Reset)(uint8_t who);
	void (* Toggle)(uint8_t who);
	uint8_t (* Read)(uint8_t who);
} GPIOClassStruct;

typedef enum {
	LED_Run = 0,
	FAN
} GPIOxEnum;

extern GPIOClassStruct GPIOClass;

#endif
