/* include ---------------------------------------------------------*/
#include <main.h>


/* private define -------------------------------------------------*/


/* private variables ----------------------------------------------*/


/* private function prototypes ------------------------------------*/
static void Init(void);


/* public variables -----------------------------------------------*/
Pvd_t Pvd = 
{
	Init
};

/**
	* @brief  PVDʼ
	* @param  None
	* @retval None
	* @note   None
*/
static void Init(void)
{
	NVIC_InitTypeDef NVIC_InitStructure;
	EXTI_InitTypeDef EXTI_InitStructure;

	/*ʹ PWR ʱ */
	RCC_APB1PeriphClockCmd(RCC_APB1Periph_PWR, ENABLE);

	/* ʹ PVD ж */
	NVIC_InitStructure.NVIC_IRQChannel = PVD_IRQn;
	NVIC_InitStructure.NVIC_IRQChannelPreemptionPriority = 0;
	NVIC_InitStructure.NVIC_IRQChannelSubPriority = 0;
	NVIC_InitStructure.NVIC_IRQChannelCmd = ENABLE;
	NVIC_Init(&NVIC_InitStructure);

	/*  EXTI16(PVD ) ½ж*/
	EXTI_ClearITPendingBit(EXTI_Line16);
	EXTI_InitStructure.EXTI_Line = EXTI_Line16;
	EXTI_InitStructure.EXTI_Mode = EXTI_Mode_Interrupt;
	EXTI_InitStructure.EXTI_Trigger = EXTI_Trigger_Rising_Falling;
	EXTI_InitStructure.EXTI_LineCmd = ENABLE;
	EXTI_Init(&EXTI_InitStructure);

	/* PVDPWR_PVDLevel_2V6 (PVDѹֵΪ2.6VVDDѹ2.6VʱPVDж) */
	/*弶ԼʵӦҪ*/
	PWR_PVDLevelConfig(PWR_PVDLevel_2V6);

	/* ʹPVD */
	PWR_PVDCmd(ENABLE);
}

/**
	* @brief  PVDж
	* @param  None
	* @retval None
	* @note   None
*/
void PVD_IRQHandler(void)
{
	/*ǷPVDź*/
	if(PWR_GetFlagStatus (PWR_FLAG_PVDO)==SET)			
	{


	}
	/* жź*/
	EXTI_ClearITPendingBit(EXTI_Line16);

}

