/* 包含头文件-----------------------------------------------------------------*/
#include "iwdg.h"

/* 私有宏定义-----------------------------------------------------------------*/

/* 私有类型定义---------------------------------------------------------------*/

/* 私有变量-------------------------------------------------------------------*/

/* 全局变量-------------------------------------------------------------------*/

/* 私有函数原型---------------------------------------------------------------*/

/**
  * @brief  独立看门狗初始化
  * @note   40k / 16 / 2500 = 1s
  * @param  None
  * @retval None
  */
void iwdg_config(void)
{
    /* 使能 预分频寄存器PR和重装载寄存器RLR可写 */
    IWDG_WriteAccessCmd(IWDG_WriteAccess_Enable);
    /* 设置预分频器值 */
    IWDG_SetPrescaler(IWDG_Prescaler_16);
    /* 设置重装载寄存器值 */
    IWDG_SetReload(0xfff);
    /* 把重装载寄存器的值放到计数器中 */
    IWDG_ReloadCounter();
    /* 使能 IWDG */
    IWDG_Enable();
}
